#pragma once

#include <stdio.h>
#include <string.h>
#include <math.h>
#include <stdlib.h>
#include <stdint.h>
#include <unistd.h>
#include "os/os.h"
#include "sys_log.h"

/**
 * @brief 超时判断
 * 
 */
int time_out(uint32_t* time_start, uint32_t timeout_ms);
/**
 * @brief 打印时间间隔
*/
void printf_chill_time(uint8_t chill_time, uint16_t type);
/**
 * @brief 字符串转十进制
 */
uint32_t parse_hex_or_dec(const char *s);